Retrieves FAQs for a knowledge base. Supports pagination using limit and lastFaqId parameters.
GET https://services.leadconnectorhq.com/knowledge-bases/faqs
Authorization
Query parameters
Responses
200 - FAQs retrieved successfully
count (number, required): Total count of all FAQs in the knowledge base Example: 150
faqs (object[], required): Array of FAQ objects
id (string, required): FAQ ID as string Example: 3rzeElC1FOVY91veVBkp
question (string, required): FAQ question Example: What is 1+2?
questionLowerCase (string, required): FAQ question in lowercase Example: what is 1+2?
answer (string, required): FAQ answer Example: 3
knowledgeBaseId (string, required): Knowledge base ID Example: I1rITlYLJofFosIqC4Np
locationId (string, required): Account ID Example: qIyivCmsuEOSnyoFYEej
trainedUrlId (string, required): Trained URL ID Example: 688e6b6d8a1887e6d94d1475
deleted (boolean, required): Whether the FAQ is deleted Example: False
createdAt (string, required): Date when FAQ was created Example: 2025-08-02T19:47:57.243Z
updatedAt (string, required): Date when FAQ was last updated Example: 2025-08-02T19:47:57.243Z
lastFaqId (string): Last FAQ ID for pagination (use as lastFaqId in next request) Example: 3rzeElC1FOVY91veVBkp
hasMore (boolean): Whether there are more FAQs available Example: True
{
"count": 150,
"faqs": [
{
"id": "3rzeElC1FOVY91veVBkp",
"question": "What is 1+2?",
"questionLowerCase": "what is 1+2?",
"answer": "3",
"knowledgeBaseId": "I1rITlYLJofFosIqC4Np",
"locationId": "qIyivCmsuEOSnyoFYEej",
"trainedUrlId": "688e6b6d8a1887e6d94d1475",
"deleted": false,
"createdAt": "2025-08-02T19:47:57.243Z",
"updatedAt": "2025-08-02T19:47:57.243Z"
}
],
"lastFaqId": "3rzeElC1FOVY91veVBkp",
"hasMore": true
}
400 - Bad Request
statusCode (number): Example: 400
message (string): Example: Bad Request
{
"statusCode": 400,
"message": "Bad Request"
}
401 - Unauthorized
statusCode (number): Example: 401
message (string): Example: Invalid token: access token is invalid
error (string): Example: Unauthorized
{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}
422 - Unprocessable Entity
statusCode (number): Example: 422
error (string): Example: Unprocessable Entity
{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}
500 - Internal Server Error
statusCode (number): Example: 500
message (string): Example: Internal Server Error
{
"statusCode": 500,
"message": "Internal Server Error"
}
Example
curl -X GET 'https://services.leadconnectorhq.com/knowledge-bases/faqs' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/knowledge-bases/faqs', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();
import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/knowledge-bases/faqs',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/knowledge-bases/faqs');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);